Bug 1032822 - [GSS] (6.1.1 patch) HHH-8103 - Oracle LOB insert ordering not working with sequence identity generators
[GSS] (6.1.1 patch) HHH-8103 - Oracle LOB insert ordering not working with se...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Hibernate (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: One-off release
Assigned To: Brett Meyer
Martin Simka
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 17:45 EST by dstephan
Modified: 2015-09-01 00:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: BZ-1032822 PRODUCT NAME: JBoss Enterprise Application Platform VERSION: 6.1.1 SHORT DESCRIPTION: HHH-8103 Oracle LOB insert ordering not working with sequence identity generators LONG DESCRIPTION: HHH-8103 https://hibernate.atlassian.net/browse/HHH-8103 Oracle LOB insert ordering not working with sequence identity generators MANUAL INSTALL INSTRUCTIONS: Backup and remove the following files: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-core-4.2.0.SP1-redhat-1.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml Extract the patched files by either: Using unzip: unzip -d $JBOSS_HOME/ BZ-1032822.zip Or by extracting the files from the zip to the following locations: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-core-4.2.0.SP1-redhat-1-BZ-1032822.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml Instructions to uninstall: Restore the following files that were backed up before the patch was installed: $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/hibernate-core-4.2.0.SP1-redhat-1.jar $JBOSS_HOME/modules/system/layers/base/org/hibernate/main/module.xml COMPATIBILITY: DEPENDENCIES: JBoss Enterprise Application Platform 6.1.1 SUPERSEDES: SUPERSEDED BY: EAP 6.2.0 CREATOR: Brett Meyer DATE: 21 November 2013
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 21:31:25 EST
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patched hibernate module (3.99 MB, application/x-zip-compressed)
2013-11-21 10:21 EST, Brett Meyer
no flags Details

  None (edit)
Description dstephan 2013-11-20 17:45:29 EST
Customer can't wait for EAP 6.2.0. they are in production. Also their build-infrastructure and Maven-dependencies are configured for EAP6.1.1.
Comment 3 Brett Meyer 2013-11-21 10:21:44 EST
Created attachment 827276 [details]
patched hibernate module
Comment 5 Martin Simka 2013-11-26 06:23:21 EST
AS test suite was without regression.
Hibernate test suite was without regression. 
Issue was verified. 

QA passed.

md5sum of tested files:
cb0aa814b91f272229922c79f1b09d12  BZ1032822.zip
67334f3ab108f385f767e02cb5bef6c5  BZ-1032822.zip
55edbb1faad833a26df7d9a5e8de7241  hibernate-core-4.2.0.SP1-redhat-1-BZ-1032822.jar
c88cb45f02f78cf1f52d072e5524cd1e  module.xml

Note You need to log in before you can comment on or make changes to this bug.